Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO::Ret_Var_Array_Argument_T< S, S_slice, S_var, S_forany > Class Template Reference

Return stub value of variable size element array. More...

`#include <Var_Array_Argument_T.h>`

Inheritance diagram for TAO::Ret_Var_Array_Argument_T< S, S_slice, S_var, S_forany >:

[legend]
Collaboration diagram for TAO::Ret_Var_Array_Argument_T< S, S_slice, S_var, S_forany >:

[legend]
List of all members.

## Public Methods
| Ret_Var_Array_Argument_T (void)
virtual CORBA::Boolean | demarshal (TAO_InputCDR &)
virtual void | interceptor_result (CORBA::Any *)
S_slice *& | arg (void)
S_slice * | excp (void)
S_slice * | retn (void)
## Private Attributes
S_var | x_

## Detailed Description

### template<typename S, typename S_slice, typename S_var, typename S_forany>
class TAO::Ret_Var_Array_Argument_T< S, S_slice, S_var, S_forany >

Return stub value of variable size element array.

## Constructor & Destructor Documentation

template<typename S, typename S_slice, typename S_var, typename S_forany>
ACE_INLINE TAO::Ret_Var_Array_Argument_T< S, S_slice, S_var, S_forany >::Ret_Var_Array_Argument_T | ( | void |  | ) |

## Member Function Documentation

template<typename S, typename S_slice, typename S_var, typename S_forany>
ACE_INLINE S_slice *& TAO::Ret_Var_Array_Argument_T< S, S_slice, S_var, S_forany >::arg | ( | void |  | ) |

template<typename S, typename S_slice, typename S_var, typename S_forany>
CORBA::Boolean TAO::Ret_Var_Array_Argument_T< S, S_slice, S_var, S_forany >::demarshal | ( | TAO_InputCDR & |  | ) | `[virtual]`

| Reimplemented from TAO::Argument.

template<typename S, typename S_slice, typename S_var, typename S_forany>
ACE_INLINE S_slice * TAO::Ret_Var_Array_Argument_T< S, S_slice, S_var, S_forany >::excp | ( | void |  | ) |

template<typename S, typename S_slice, typename S_var, typename S_forany>
void TAO::Ret_Var_Array_Argument_T< S, S_slice, S_var, S_forany >::interceptor_result | ( | CORBA::Any * |  | ) | `[virtual]`

| Reimplemented from TAO::Argument.

template<typename S, typename S_slice, typename S_var, typename S_forany>
ACE_INLINE S_slice * TAO::Ret_Var_Array_Argument_T< S, S_slice, S_var, S_forany >::retn | ( | void |  | ) |

## Member Data Documentation

template<typename S, typename S_slice, typename S_var, typename S_forany>
S_var TAO::Ret_Var_Array_Argument_T< S, S_slice, S_var, S_forany >::x_`[private]`

The documentation for this class was generated from the following files:

- Var_Array_Argument_T.h
- Var_Array_Argument_T.cpp
- Var_Array_Argument_T.inl